<?php
require BARBERRY_THEME_PATH .'/inc/admin/plugins/class-tgm-plugin-activation.php';

function barberry_theme_register_required_plugins() {

  $plugins = array(

    // Include plugins pre-packaged with the theme

    array(
			'name'               => esc_html__('Barberry Theme Extensions', 'barberry'),
			'slug'               => 'tdl-barberry-extensions',
			'source'             => 'https://temashdesign.me/themeforest/plugins/barberry/2.9.9.3/tdl-barberry-extensions.zip',
			'required'           => true,
			'version'            => '1.9.9',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => ''
		),

		array(
			'name'               => esc_html__('Envato Market (theme updates)', 'barberry'),
			'slug'               => 'envato-market',
			'source'             => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required'           => false,
			'version'            => '2.0.7',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => ''
		),

    array(
			'name'               => esc_html__('WPBakery Visual Composer', 'barberry'),
			'slug'               => 'js_composer',
			'source'             => 'https://temashdesign.me/themeforest/plugins/barberry/2.9.9.4/js_composer.zip',
			'required'           => false,
			'version'            => '6.10.0',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => ''
		),

    array(
			'name'               => esc_html__('Slider Revolution', 'barberry'),
			'slug'               => 'revslider',
			'source'             => 'https://temashdesign.me/themeforest/plugins/barberry/2.9.9.81/revslider.zip',
			'required'           => false,
			'version'            => '6.6.10',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => ''
		),

    array(
			'name'               => esc_html__('Advanced Custom Fields PRO', 'barberry'),
			'slug'               => 'advanced-custom-fields-pro',
			'source'             => 'https://temashdesign.me/themeforest/plugins/barberry/2.9.9.81/advanced-custom-fields-pro.zip',
			'required'           => true,
			'version'            => '6.0.7',
			'force_activation'   => false,
			'force_deactivation' => false,
			'external_url'       => ''
		),

    // Include plugins from the WordPress Plugin Repository

    array(
			'name'               => esc_html__('Kirki Toolkit', 'barberry'),
			'slug'               => 'kirki',
			'required'           => true,
			'force_activation'   => false,
			'force_deactivation' => false,
		),

    array(
			'name'               => esc_html__('WooCommerce', 'barberry'),
			'slug'               => 'woocommerce',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => esc_html__('WCBoost - Variation Swatches', 'barberry'),
			'slug'               => 'wcboost-variation-swatches',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),

    array(
			'name'               => esc_html__('Contact Form 7', 'barberry'),
			'slug'               => 'contact-form-7',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),


    array(
			'name'               => esc_html__('Safe SVG', 'barberry'),
			'slug'               => 'safe-svg',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),

		array(
			'name'               => esc_html__('YITH WooCommerce Wishlist', 'barberry'),
			'slug'               => 'yith-woocommerce-wishlist',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),

  );

  $config = array(
		'id'           => 'barberry',
		'default_path' => '',                          // Default absolute path to pre-packaged plugins
		'parent_slug'  => 'themes.php',
		'menu'         => 'install-required-plugins',  // Menu slug
		'has_notices'  => true,                        // Show admin notices or not
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message'      => '<div class="notice-warning notice"><p>Install the following required or recommended plugins to get complete functionality from your new theme.</p></div>',                      // Message to output right before the plugins table.
		'strings'      => array(
		'return'       => esc_html__( 'Return to Theme Plugins', 'barberry' )
		)
	);

  tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'barberry_theme_register_required_plugins' );